tigase.cluster.api

## Interface ClusterControllerIfc

- All Known Implementing Classes:
    ClusterController

      public interface ClusterControllerIfc

  Author:
    Artur Hefczyc Created Mar 16, 2011

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `DELIVER_CLUSTER_PACKET_CMD` Field description

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `handleClusterPacket(tigase.xml.Element packet)` Method description
    `void` | `nodeConnected(String addr)`
    `void` | `nodeDisconnected(String addr)`
    `void` | `removeCommandListener(CommandListener listener)` Method description
    `void` | `sendToNodes(String command, tigase.xml.Element packet, tigase.xmpp.JID fromNode, Set<tigase.xmpp.JID> visitedNodes, tigase.xmpp.JID... toNodes)` Method description
    `void` | `sendToNodes(String command, tigase.xmpp.JID fromNode, tigase.xmpp.JID... toNodes)` Method description
    `void` | `sendToNodes(String command, Map<String,String> data, tigase.xml.Element packet, tigase.xmpp.JID fromNode, Set<tigase.xmpp.JID> visitedNodes, tigase.xmpp.JID... toNodes)` Method description
    `void` | `sendToNodes(String command, Map<String,String> data, tigase.xmpp.JID fromNode, tigase.xmpp.JID... toNodes)` Method description
    `void` | `sendToNodes(String command, Map<String,String> data, tigase.xmpp.JID fromNode, Set<tigase.xmpp.JID> visitedNodes, tigase.xmpp.JID... toNodes)` Method description
    `void` | `sendToNodes(String command, Map<String,String> data, Queue<tigase.xml.Element> packets, tigase.xmpp.JID fromNode, Set<tigase.xmpp.JID> visitedNodes, tigase.xmpp.JID... toNodes)` Method description
    `void` | `sendToNodes(String command, Queue<tigase.xml.Element> packets, tigase.xmpp.JID fromNode, Set<tigase.xmpp.JID> visitedNodes, tigase.xmpp.JID... toNodes)` Method description
    `void` | `setCommandListener(CommandListener listener)` Method description

- - ### Field Detail

    - #### DELIVER_CLUSTER_PACKET_CMD

          static final String DELIVER_CLUSTER_PACKET_CMD

      Field description
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### handleClusterPacket

          void handleClusterPacket(tigase.xml.Element packet)

      Method description
      Parameters:
        `packet` -

    - #### nodeConnected

          void nodeConnected(String addr)

      Parameters:
        `addr` -

    - #### nodeDisconnected

          void nodeDisconnected(String addr)

      Parameters:
        `addr` -

    - #### removeCommandListener

          void removeCommandListener(CommandListener listener)

      Method description
      Parameters:
        `listener` -

    - #### sendToNodes

          void sendToNodes(String command,
                         Map<String,String> data,
                         Queue<tigase.xml.Element> packets,
                         tigase.xmpp.JID fromNode,
                         Set<tigase.xmpp.JID> visitedNodes,
                         tigase.xmpp.JID... toNodes)

      Method description
      Parameters:
        `command` -
        `data` -
        `packets` -
        `fromNode` -
        `visitedNodes` -
        `toNodes` -

    - #### sendToNodes

          void sendToNodes(String command,
                         Queue<tigase.xml.Element> packets,
                         tigase.xmpp.JID fromNode,
                         Set<tigase.xmpp.JID> visitedNodes,
                         tigase.xmpp.JID... toNodes)

      Method description
      Parameters:
        `command` -
        `packets` -
        `fromNode` -
        `visitedNodes` -
        `toNodes` -

    - #### sendToNodes

          void sendToNodes(String command,
                         Map<String,String> data,
                         tigase.xmpp.JID fromNode,
                         Set<tigase.xmpp.JID> visitedNodes,
                         tigase.xmpp.JID... toNodes)

      Method description
      Parameters:
        `command` -
        `data` -
        `fromNode` -
        `visitedNodes` -
        `toNodes` -

    - #### sendToNodes

          void sendToNodes(String command,
                         Map<String,String> data,
                         tigase.xmpp.JID fromNode,
                         tigase.xmpp.JID... toNodes)

      Method description
      Parameters:
        `command` -
        `data` -
        `fromNode` -
        `toNodes` -

    - #### sendToNodes

          void sendToNodes(String command,
                         tigase.xmpp.JID fromNode,
                         tigase.xmpp.JID... toNodes)

      Method description
      Parameters:
        `command` -
        `fromNode` -
        `toNodes` -

    - #### sendToNodes

          void sendToNodes(String command,
                         tigase.xml.Element packet,
                         tigase.xmpp.JID fromNode,
                         Set<tigase.xmpp.JID> visitedNodes,
                         tigase.xmpp.JID... toNodes)

      Method description
      Parameters:
        `command` -
        `packet` -
        `fromNode` -
        `visitedNodes` -
        `toNodes` -

    - #### sendToNodes

          void sendToNodes(String command,
                         Map<String,String> data,
                         tigase.xml.Element packet,
                         tigase.xmpp.JID fromNode,
                         Set<tigase.xmpp.JID> visitedNodes,
                         tigase.xmpp.JID... toNodes)

      Method description
      Parameters:
        `command` -
        `data` -
        `packet` -
        `fromNode` -
        `visitedNodes` -
        `toNodes` -

    - #### setCommandListener

          void setCommandListener(CommandListener listener)

      Method description
      Parameters:
        `listener` -

Copyright © 2014 "Tigase, Inc.". All rights reserved.